Subject: Re: [PATCH 3/5] ci: make test slicing consistent across Meson/Make

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 10 Feb 2026 06:34:22 +0100

On Mon, Feb 09, 2026 at 12:19:57PM -0600, Justin Tobler wrote:
> On 26/02/09 05:56PM, Patrick Steinhardt wrote:
> > diff --git a/.github/workflows/main.yml b/.github/workflows/main.yml
> > index 2b175dc5c6..1b7a16e1f1 100644
> > --- a/.github/workflows/main.yml
> > +++ b/.github/workflows/main.yml
> > @@ -298,7 +298,7 @@ jobs:
> >          path: build
> >      - name: Test
> >        shell: pwsh
> > -      run: ci/run-test-slice-meson.sh build ${{matrix.nr}} 10
> > +      run: ci/run-test-slice-meson.sh build ${{matrix.nr + 1}} 10
> 
> Due to the changes in the prior patch, GitHub CI passing 0 as the slice
> value would cause a failure correct? I wonder if we should combine this
> change with the previous patch. Otherwise this patch looks good.

Note that this is the "-meson.sh" variant, so this is a different
script. I'm mostly just touching up this variant so that it behaves the
same as the non-Meson one.

Meson itself would die though in case it's passed an invalid range.

Patrick